Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.examples.dancing
Enum Pentomino.SolutionCategory

    java.lang.Object
      java.lang.Enum<Pentomino.SolutionCategory>
          org.apache.hadoop.examples.dancing.Pentomino.SolutionCategory

All Implemented Interfaces:
  Serializable, Comparable<Pentomino.SolutionCategory>

Enclosing class:
  Pentomino

    public static enum Pentomino.SolutionCategory

extends Enum<Pentomino.SolutionCategory>

Enum Constant Summary
`CENTER`
`MID_X`
`MID_Y`
`UPPER_LEFT`

Method Summary
`static Pentomino.SolutionCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Pentomino.SolutionCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UPPER_LEFT

    public static final Pentomino.SolutionCategory UPPER_LEFT

### MID_X

    public static final Pentomino.SolutionCategory MID_X

### MID_Y

    public static final Pentomino.SolutionCategory MID_Y

### CENTER

    public static final Pentomino.SolutionCategory CENTER

Method Detail

### values

    public static Pentomino.SolutionCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Pentomino.SolutionCategory c : Pentomino.SolutionCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Pentomino.SolutionCategory valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation